%global npm_name finalhandler
%global enable_tests 1

%{?nodejs_find_provides_and_requires}

Name:       nodejs-%{npm_name}
Version:    1.1.0
Release:    1%{?dist}
Summary:    Node.js final http responder
License:    MIT
URL:        https://github.com/pillarjs/finalhandler
Source0:    https://github.com/pillarjs/finalhandler/archive/v%{version}/%{npm_name}-%{version}.tar.gz
BuildRequires: nodejs-packaging
BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

%if 0%{?enable_tests}
#BuildRequires: npm(eslint)
#BuildRequires: npm(eslint-config-standard)
#BuildRequires: npm(eslint-plugin-markdown)
#BuildRequires: npm(eslint-plugin-promise)
#BuildRequires: npm(eslint-plugin-standard)
BuildRequires: npm(istanbul)
BuildRequires: npm(mocha)
BuildRequires: npm(readable-stream)
BuildRequires: npm(supertest)
BuildRequires: npm(encodeurl)
BuildRequires: npm(debug)
BuildRequires: npm(escape-html)
BuildRequires: npm(on-finished)
BuildRequires: npm(parseurl)
BuildRequires: npm(safe-buffer)
BuildRequires: npm(statuses)
BuildRequires: npm(unpipe)
%endif

%description
%{summary}

%prep
%autosetup -n %{npm_name}-%{version}
%nodejs_fixdep debug '2.x'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%{__nodejs} -e 'require("./")'
mocha --reporter spec --bail --check-leaks test/
istanbul-js cover mocha --report lcovonly -- --reporter spec --check-leaks test/
istanbul-js cover mocha -- --reporter dot --check-leaks test/
%endif

%files
%{nodejs_sitelib}/%{npm_name}

%license LICENSE
%doc HISTORY.md README.md

%changelog
* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Update to upstream 1.1.0 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 14 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.0-3
- Add encodeurl to %%BuildRequires

* Tue Feb 21 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.0-2
- Update spec to comply wih new packaging guidelines

* Sun Feb 19 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.0-1
- Initial build

